Subject: Re: bug#59490: 29.0.50; Add C# support

From: Yuan Fu <[email-masked]>
Date: Wed, 23 Nov 2022 13:19:21 -0800

> On Nov 23, 2022, at 12:43 PM, Theodor Thornhill <[email-masked]> wrote:
> 
> 
> 
> On 23 November 2022 21:38:19 CET, Yuan Fu <[email-masked]> wrote:
>> 
>> Yuan Fu <[email-masked]> writes:
>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>>>> Date: Tue, 22 Nov 2022 22:47:12 +0100
>>>>> From:  Theodor Thornhill via "Bug reports for GNU Emacs,
>>>>> the Swiss army knife of text editors" <[email-masked]>
>>>>> 
>>>>> Ok so this works.
>>>>> 
>>>>> Sorry for the mess.
>>>>> 
>>>>> What do you think?
>>>> 
>>>> LGTM, thanks.  I'll let Yuan review and install.
>>> 
>>> Thanks Theo! I’ve merged it. One general comment is that we should have
>>> a "standard" list of features consistent across major modes. I think by
>>> now we’ve worked on font-lock enough to know what those features should
>>> be. I’ll start a discussion on the ML.
>> 
>> Actually, another thing: it seems the mode defined is still named
>> csharp-mode rather than csharp-cc-mode.
>> 
>> Yuan
> 
> Yeah that's right. Imo that's ok, because it's unlikely there will be much new development on the cc mode variant. So it will be identical to the upstream one, and the upstream one will be marked as deprecated very soon.
> 
> What do you think?

Yeah I was just confused because you said

> I made two new modes, 'csharp-cc-mode' and 'csharp-ts-mode'. The cc-mode
> variant has that name as to not conflict with the ELPA package.

And I only see csharp-mode.

So the mode we provide in Emacs are csharp-mode and csharp-ts-mode? Then I assume this line is a typo?

;;;###autoload
(add-to-list 'auto-mode-alist '("\\.cs\\'" . csharp-cc-mode))

Yuan